> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate prompt JSON schema

> Generate a JSON schema for the output of an AI prompt



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /ai/prompts/generateJsonSchema
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/prompts/generateJsonSchema:
    post:
      tags:
        - AI - Prompts
      summary: Generate prompt JSON schema
      description: Generate a JSON schema for the output of an AI prompt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  title: Prompt
                  description: Prompt to generate a JSON schema for.
                systemPrompt:
                  title: System prompt
                  description: >-
                    Instructions given to the model alongside the prompt, used
                    as extra context.
                  type: string
              required:
                - prompt
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonSchema:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                    title: JSON schema
                    description: Generated JSON schema.
                required:
                  - jsonSchema
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````